Bug 20045 - Switch single-column templates to Bootstrap grid: Various
Summary: Switch single-column templates to Bootstrap grid: Various
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980 20345
  Show dependency treegraph
 
Reported: 2018-01-19 15:29 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20045: Switch single-column templates to Bootstrap grid: Various (11.05 KB, patch)
2018-01-19 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20045: Switch single-column templates to Bootstrap grid: Various (11.82 KB, patch)
2018-03-07 16:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20045: Switch single-column templates to Bootstrap grid: Various (11.87 KB, patch)
2018-03-09 21:34 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20045: Switch single-column templates to Bootstrap grid: Various (11.94 KB, patch)
2018-03-25 15:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20045: Fix Selenium tests (4.48 KB, patch)
2018-03-27 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-19 15:29:12 UTC
This patch will convert several unrelated templates to use the Bootstrap grid:

- about.tt
- auth.tt
- serials/subscription-add.tt
- admin/admin-home.tt
- reports/reports-home.tt
- suggestion/suggestion.tt
Comment 1 Owen Leonard 2018-01-19 16:10:00 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-02-16 09:56:20 UTC
On sugestions/suggestions and serials/subscription-add the labels for input fields have been squashed together meaning the longer ones can be up to 5 lines with one or two words per line. Would be nice if we could balance these out a little more.

Everything else looks good!
Comment 3 Owen Leonard 2018-03-07 16:18:49 UTC Comment hidden (obsolete)
Comment 4 Roch D'Amour 2018-03-09 21:34:41 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2018-03-25 15:32:06 UTC
Created attachment 73240 [details] [review]
Bug 20045: Switch single-column templates to Bootstrap grid: Various

This patch updates various unrelated templates to use the Bootstrap
grid.

- about.tt - The about page
- auth.tt - The login page

  These pages should look correct.

- reports/reports-home.tt - The reports home page
- admin/admin-home.tt - The administration home page

  These pages should look correct, with a single centered column
  with wide margins on either side. At lower browser widths the margins
  should disappear.

- serials/subscription-add.tt - Serials -> Add subscription. The entry
  form should look correct during each step of the add/edit process.

- suggestion/suggestion.tt - Acquisitions -> Suggestions -> New
  suggestion. The page with the new suggestion form should look correct.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-03-26 20:37:27 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Jonathan Druart 2018-03-27 15:06:21 UTC
Created attachment 73320 [details] [review]
Bug 20045: Fix Selenium tests

Element id=doc does not longer exist on the admin home page
The "main block" need to be localized using the new class 'main
container-fluid'
We will certainly need to improve this later.
Comment 8 Jonathan Druart 2018-03-27 16:44:32 UTC
Last patch pushed to master.